$kind: http-request
url: "{{Local_URL}}accounts/transactions/general-transactions"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \    \"transaction_date\": \"2025-05-02\",\r

    \    \"reference\": \"INC-20241004\",\r

    \    //\"project_id\": 1, Nullable\r

    \   // \"segment_id\": 2, Nullable\r

    \    //\"budget_id\": 3, Nullable\r

    \    \"supporting_document\":\"\",//A file to support this transaction
    optional\r

    \    \"journal_type_id\": 3, \r

    \    \"description\": \"Test\",\r

    \     \"currency_id\":\"db60ec66-644f-4c45-80e2-5ebdcd0a6701\",\r

    \    \"lines\": [\r

    \          {\r

    \            \"debit_account_id\": 514, //Alll ledgers- /get-all-accounts \r

    \            \"credit_account_id\":91,\r

    \            \"amount\": 180000\r

    \        }\r

    \    ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 12000
